
(in-package #:cl-firebird)

(defgeneric connection (object))


(defclass wire-protocol ()
  ((user)
   (password)
   (role :initform nil)
   (charset)
   (filename)
   (timezone :initform nil)
   (client-public-key)
   (client-private-key)
   (plugin-name)
   (plugin-list)
   (plugin-list*)
   (buffer :initform (make-array 65536 :element-type 'nibbles:octet))
   (buffer4 :initform (make-array 4 :element-type 'nibbles:octet))
   (socket :initform nil)
   (stream)
   (stream-cypher-recv :initform nil)
   (stream-cypher-send :initform nil)
   (bytes-in :initform 0 :reader protocol-bytes-in)
   (bytes-out :initform 0 :reader protocol-bytes-out)
   (start-time :initform (get-universal-time) :reader protocol-start-time)
   (auth-data)
   (accept-plugin-name :reader protocol-accept-plugin-name)
   (accept-version :reader protocol-accept-version)
   (accept-architecture :reader protocol-accept-architecture)
   (accept-type :reader protocol-accept-type)
   (lazy-response-count)
   (db-handle :initform nil :reader object-handle) ;; XXX: refactor to just handle
   (wire-crypt :initform nil :reader protocol-wire-crypt)))


(defclass connection (wire-protocol)
  ((hostname :initform nil :reader connection-hostname)
   (port :reader connection-port)
   (timeout :reader connection-timeout)
   (page-size :reader connection-page-size)
   (auth-plugin-name)
   (isolation-level :accessor isolation-level)
   (use-unicode :initform nil :accessor connection-use-unicode)
   (last-event-id)
   (is-services :initform nil)
   ))


(defclass xsqlvar ()
  ((use-unicode :initform nil :reader xsqlvar-use-unicode :initarg :use-unicode)
   (sqltype :initform nil :reader xsqlvar-sqltype)
   (sqlscale :initform nil :reader xsqlvar-sqlscale)
   (sqlsubtype :initform nil :reader xsqlvar-sqlsubtype)
   (sqllen :initform nil :reader xsqlvar-sqllen)
   (null-ok :initform nil :reader xsqlvar-null-ok)
   (fieldname :initform "" :reader xsqlvar-fieldname)
   (relname :initform "" :reader xsqlvar-relname)
   (ownname :initform "" :reader xsqlvar-ownname)
   (aliasname :initform "" :reader xsqlvar-aliasname)))


(defclass transaction ()
  ((connection :initarg :conn :reader connection)
   (handle :initform nil :initarg :handle :reader object-handle)
   (auto-commit :initform nil :reader auto-commit-p :initarg :auto-commit)
   (dirty :initform nil :reader transaction-dirty-p)))


(defclass statement ()
  ((trans :initarg :transaction :accessor transaction)
   (handle :initform nil :initarg :handle :reader object-handle)
   (open :initform nil :reader statement-open-p)
   (stmt-type :initform nil :reader statement-type)
   (sql :initform nil :initarg :sql :reader statement-sql)
   (plan :initform nil :reader statement-plan)
   (result :initform nil :reader statement-result)
   (xsqlda :initform nil :reader statement-xsqlda)))


(defclass blob ()
  ((blob-id :initform nil :initarg :blob-id :reader blob-id)
   (subtype :initform 0 :initarg :subtype :reader blob-subtype)
   (data :initform nil :initarg :data :reader blob-data)))
